#include <stdio.h>
#include <string.h>

// Definición de una estructura
struct Persona {
    char nombre[50];
    int edad;
};

int main(void) {
    // Declarar una variable de tipo estructura
    struct Persona p1;

    // Declarar un puntero a la estructura
    struct Persona *ptr;

    // Asignar la dirección de p1 al puntero
    ptr = &p1;

    // Asignar valores a los miembros de la estructura usando el puntero
    strcpy(ptr->nombre, "Carlos"); // Usamos -> para acceder a los miembros
    ptr->edad = 25;

    // Mostrar los valores de la estructura
    printf("Nombre: %s\n", ptr->nombre);
    printf("Edad: %d\n", ptr->edad);

    // Modificar los valores usando el puntero
    strcpy(ptr->nombre, "Ana");
    ptr->edad = 30;

    // Mostrar los valores modificados
    printf("\nDespués de modificar:\n");
    printf("Nombre: %s\n", ptr->nombre);
    printf("Edad: %d\n", ptr->edad);

    return 0;
}
